API KeysList API keys

List API keys

Get all API keys for an account. Returns metadata only (never plaintext keys). Requires a Bearer JWT from an account member with the owner or admin role. Does not accept API key authentication.

curl -X GET "https://api.talkturo.com/api/api-keys?accountSlug=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)"
{
  "apiKeys": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "John Doe",
      "description": "example_string",
      "key_prefix": "example_string",
      "permissions": {
        "scopes": [
          "*"
        ],
        "rate_limit_per_hour": 1000
      },
      "last_used_at": "2024-12-25T10:00:00Z",
      "expires_at": "2024-12-25T10:00:00Z",
      "is_active": true,
      "created_at": "2024-12-25T10:00:00Z",
      "created_by": "123e4567-e89b-12d3-a456-426614174000"
    }
  ]
}
GET
/api-keys
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token (JWT)
Bearer Tokenstring
Required

Supabase access token JWT for desktop clients and account-management routes such as API key administration (owner / admin required for API keys). Send as Authorization: Bearer eyJ....

Supabase access token JWT for desktop clients and account-management routes such as API key administration (owner / admin required for API keys). Send as Authorization: Bearer eyJ....
query
accountSlugstring
Required

Account slug that owns the API keys to list

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). Supabase access token JWT for desktop clients and account-management routes such as API key administration (owner / admin required for API keys). Send as Authorization: Bearer eyJ....

Query Parameters

accountSlugstring
Required

Account slug that owns the API keys to list

Responses

apiKeysarray
Required